@import "$SHAREDSTYLES/base/_variables.scss";

.navContainer {
    float: left;
    width: 100%;
    position: relative;
    z-index: 99;

    .link {
        color: inherit;
        text-decoration: none;
    }
}

.delivery_type {
    height: 16px;
    width: 64px;
    min-width: 64px;
    float: left;
    margin-top: 6px;
    margin-right: 8px;
}

.border_less{
	border-bottom:none !important;
	box-shadow:none !important
}

.white_header {
    padding: 15px;
    font-size: 18px;
    font-weight: bold;
    border: 1px solid #eef2f7;
    border-top: 0;
    box-shadow: 0 4px 4px -3px #9e9e9e61;

    &::after {
        content: '';
        display: table;
        clear: both;
    }

    .item_count_icon {
        position: absolute;
        right: 24px;
        top: 0;
    }
}

.fix_header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    left: 0;
    margin-right: auto;
    margin-left: auto;
    max-width: 650px;
    z-index: 99;
    background: #fff;
}


.abs_header {
    position: absolute;
    width: 100%;
    top: 0;
    // margin-top: 50px;
}

.home_fix_head {
    border: 1px solid #eef2f7;
    border-top: 0;
    padding: 16px 0;
    box-shadow: 0 4px 4px -3px #9e9e9e61;
}

.back_arrow_header {
    float: left;
    margin-top: 2px;
    margin-right: 20px;
}

.dead_center {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.userInfoContainer {
    float: left;
    width: 100%;
    margin-top: 24px;

    svg {
        float: left;
    }
}

.left_element {
    font-size: 16px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
}

.userImgContainer {
    float: left;
    margin-right: 12px;
}

.afterScrollSearch {
    position: relative;
    width: calc(100% - 80px);
    display: inline-block;
    float: right;
    margin-right: 15px;
}

.cameraIconContainer {
    position: absolute;
    left: 2%;
    top: 50%;
    transform: translateY(-50%);
    padding: 14px;
    z-index: 9;

    svg {
        float: left;
    }
}

.cartIcon {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%)
}

.nav_text_wrp {
    float: right;
    width: 100%;
    position: relative;
    font-size: 25px;
    // margin-top: 5px;
}

.afterScroll {
    float: right;
    width: calc(100% - 40px);
    position: relative;
    font-size: 18px;
}

.searchHomeContainer {
    color: #4a4a4a;
    margin: 32px 0 0;
    display: inline-block;
    width: 100%;
    position: relative;
    float: right;

    input[type='text'] {
        background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="18" height="17" viewBox="0 0 18 17"><defs><filter id="a" width="101.4%" height="107.6%" x="-.7%" y="-2.3%" filterUnits="objectBoundingBox"><feMorphology in="SourceAlpha" operator="dilate" radius=".5" result="shadowSpreadOuter1"/><feOffset dy="1" in="shadowSpreadOuter1" result="shadowOffsetOuter1"/><feGaussianBlur in="shadowOffsetOuter1" result="shadowBlurOuter1" stdDeviation=".5"/><feComposite in="shadowBlurOuter1" in2="SourceAlpha" operator="out" result="shadowBlurOuter1"/><feColorMatrix in="shadowBlurOuter1" result="shadowMatrixOuter1" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.109714674 0"/><feMerge><feMergeNode in="shadowMatrixOuter1"/><feMergeNode in="SourceGraphic"/></feMerge></filter></defs><g fill="none" fill-rule="evenodd" filter="url(#a)" transform="translate(-322 -25)"><path d="M319 21h24v24h-24z"/><g fill="#000" fill-opacity=".7" fill-rule="nonzero" transform="translate(323 25)"><path d="M12.171 11.037l2.987 2.987a.802.802 0 1 1-1.134 1.134l-2.987-2.987a6.817 6.817 0 1 1 1.134-1.134zM6.85 12.5a5.65 5.65 0 1 0 0-11.3 5.65 5.65 0 0 0 0 11.3z"/></g></g></svg>');
        background-color: #fff;
        background-position: calc(43% - 60px) 15px;
        background-repeat: no-repeat;
        border: 1px solid #cdcdcd;
        width: 100%;
        height: 45px;
        border-radius: 3px;
        font-size: 16px;
        // padding-left: 40px;
        text-align: center;
    }

    input[type='text']::-webkit-input-placeholder {
        color: #4a4a4a;
    }

    svg {
        float: left;
    }
}

input[type='file'] {
    display: none;
}

.stickyHeader {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff;
    width: 100%;
    padding: 12px 0;

    .item_count_icon {
        margin-right: -12px;
        margin-top: 21px;
    }

}

.item_count_icon {
    background-color: #f54177;
    float: right;
    position: relative;
    height: 20px;
    width: 20px;
    margin-right: -32px;
    margin-top: 9px;
    text-align: center;
    border-radius: 50%;
    line-height: 20px;
    font-size: 12px;
    color: #fff;
}

.home_menu_bar {
    text-align: center;
    float: left;
    width: 100%;

    // font-weight: 100;
    li {
        width: 50%;
        float: left;
        padding-bottom: 15px;
        color: #fff;
        cursor: pointer;
    }

    .active_tab {
        border-bottom: 3px solid #fff;
    }
}

.image_upload_label {
    float: left;
    width: 100%;
    cursor: pointer;
    color: #6354D5;
    height: 45px;
    border-radius: 3px;
    background-color: #fff;
    padding-left: 11px;
    font-size: 16px;
    margin-top: 16px;

    .icon_container {
        float: left;
        margin-top: 13px;

        svg {
            float: left;
        }
    }

    .title {
        float: left;
        line-height: 50px;
        margin-top: -2px;
        margin-left: 11px;
    }
}

.bold_text {
    font-weight: bold;
}

.down_arrow {
    height: 15px;
    width: 15px;
    position: relative;
    display: inline-block;
}

.down_arrow::after {
    content: "";
    border-top: 4px solid #000;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-bottom: 4px solid transparent;
    position: absolute;
    top: 8px;
    left: 0;
}

.search_icon {
    position: absolute;
    right: 2%;
    top: 50%;
    transform: translateY(-50%);
    padding: 15px;
    z-index: 9;

    svg {
        float: left;
    }
}

.cart_header {
    position: fixed;
    top: 9px;
    z-index: 9999;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;

    .cart_status {
        font-size: 10px;
        color: #00000070;
        font-weight: normal;
    }

    .head_text {
        font-weight: bold;
    }
}

.addressWrapper {
    display: block;
    overflow: hidden;
    padding-right: 30px;
}

.back_arrow {
    display: flex;
    align-items: center;
    padding: 7px;
    padding-left: 0;
}
.removeText,
.search {
    position: absolute;
    top: 8px;
    display: flex;
    align-items: center;
}
.removeText {
    right: 8px;
}
.search {
    left: 10px;
    top: 9px;
}

.delicery_type_icon {
    display: inline-block;
    height: 12px;
    margin-bottom: -2px;

    svg {
        float: left;
    }
}

.addContainer {
    display: flex;
    align-items: center;
    font-size: 16px;

    p {
        overflow: hidden;
        border-bottom: .5px dashed;
        white-space: nowrap;
        margin-right: 5px;
        text-overflow: ellipsis;
    }
}

.medicineInput {
    width: 95%
}

.tab_button{
    padding:16px;
    font-size:14px;
    font-weight:500;
    color:'#000000';
    opacity: .4 
}

.active_tab{
    border-bottom: 2px solid $theme;
    opacity: 1;
}

@media screen and (max-width: 370px){
	.medicineInput{
		width:90%
    }
}

.blank {
    height: 5px;
    width: 100px;
}

